#include <stdio.h>
#include "queue.h"

/*
 *		C O P Y ( )
 *  Takes two file pointers, and copies from one to the other,
 *  Returns the number of characters copied.
 */
long
copy (from, to, source)
FILE *from, *to;
char *source;
{
#if BSD42
	char	buf[8192];
#else
	char	buf[BUFSIZ];
#endif BSD42
	register int	nread;
	register int	tofd = fileno(to);
	register int	fromfd = fileno(from);
	long	count = 0L;

	fflush (to);
	while ((nread = read (fromfd, buf, sizeof(buf))) != 0) {
		if (nread < 0 || write (tofd, buf, nread) != nread)
			bomb( "Error during copy of %s (%s)\n", source,
				sys_errlist[errno] );
		count += nread;
	}
	return (count);
}
